using System.ComponentModel.DataAnnotations;

namespace BuecherwurmAPI.Models
{
    public class Book : IProduct
    {
        [Key, Required]
        public long ProductId { get; set; }
        public string Title {get; set;}
        public string Author {get; set;}
        public string Country {get; set;}
        public string Link {get; set;}
        public string Language {get; set;}
        public long Pages {get; set;}
        public long Year {get; set;}
        public CategoryEnum Category { get; set; }
        public string ImageLink { get; set; }
        public long LendTime {get; set;}
        public LendTypeEnum LendType {get; set;}
    }

    public class BookPost : IProductPost
    {
        public string Title {get; set;}
        public string Author {get; set;}
        public string Country {get; set;}
        public string Link {get; set;}
        public string Language {get; set;}
        public long Pages {get; set;}
        public long Year {get; set;}
        public CategoryEnum Category { get; set; }
        public string ImageLink { get; set; }
        public long LendTime {get; set;}
        public LendTypeEnum LendType {get; set;}

        public BookPost()
        {
            LendType = LendTypeEnum.Physical;
            LendTime = 30;
            Category = CategoryEnum.Book;
        }
    }

}